import { ModalType } from "./interface";

type ModalConfigType = {
  [key in ModalType]: {
    title: string;
    placeholder: string;
  };
};

export const modalConfig: ModalConfigType = {
  createLabel: {
    title: "添加新标签",
    placeholder: "新标签名称",
  },
  updateLabel: {
    title: "编辑",
    placeholder: "新标签名称",
  },
  updateCategory: {
    title: "编辑分类名称",
    placeholder: "新标签分类名称",
  },
};

export const defaultModalConfig = {
  title: "",
  placeholder: "",
};
